Index: issm/trunk/src/c/objects/Icefront.cpp
===================================================================
--- issm/trunk/src/c/objects/Icefront.cpp	(revision 3566)
+++ issm/trunk/src/c/objects/Icefront.cpp	(revision 3567)
@@ -85,9 +85,9 @@
 	if (strcmp(iomodel->meshtype,"2d")==0){
 		segment_width=4;
-		element_type=TriaEnum();
+		element_type=TriaEnum;
 	}
 	else{
 		segment_width=6;
-		element_type=PentaEnum();
+		element_type=PentaEnum;
 	}
 	element=(int)(*(iomodel->pressureload+segment_width*i+segment_width-2)-1); //element is in the penultimate column (grid1 grid2 ... elem fill)
@@ -112,9 +112,9 @@
 	icefront_b[1]=iomodel->bed[i2-1];
 
-	if (iomodel->sub_analysis_type==HorizAnalysisEnum()){
-		if ((int)*(iomodel->elements_type+2*element+0)==MacAyealFormulationEnum()){ //this is a collapsed 3d element, icefront will be 2d
+	if (iomodel->sub_analysis_type==HorizAnalysisEnum){
+		if ((int)*(iomodel->elements_type+2*element+0)==MacAyealFormulationEnum){ //this is a collapsed 3d element, icefront will be 2d
 			strcpy(icefront_type,"segment");
 		}
-		else if ((int)*(iomodel->elements_type+2*element+0)==PattynFormulationEnum()){ //this is a real 3d element, icefront will be 3d.
+		else if ((int)*(iomodel->elements_type+2*element+0)==PattynFormulationEnum){ //this is a real 3d element, icefront will be 3d.
 			strcpy(icefront_type,"quad");
 			i3=(int)*(iomodel->pressureload+segment_width*i+2);
@@ -133,5 +133,5 @@
 		}
 	}
-	else if (iomodel->sub_analysis_type==StokesAnalysisEnum()){
+	else if (iomodel->sub_analysis_type==StokesAnalysisEnum){
 		//We have a Stokes element, so we need a 3d Icefront
 		strcpy(icefront_type,"quad");
@@ -209,5 +209,5 @@
 
 	/*get enum type of Icefront: */
-	enum_type=IcefrontEnum();
+	enum_type=IcefrontEnum;
 	
 	/*marshall enum: */
@@ -306,17 +306,17 @@
 
 	/*Just branch to the correct element icefront vector generator, according to the type of analysis we are carrying out: */
-	if (analysis_type==ControlAnalysisEnum()){
+	if (analysis_type==ControlAnalysisEnum){
 		
 		CreatePVectorDiagnosticHoriz( pg,inputs,analysis_type,sub_analysis_type);
 
 	}
-	else if (analysis_type==DiagnosticAnalysisEnum()){
-	
-		if (sub_analysis_type==HorizAnalysisEnum()){
+	else if (analysis_type==DiagnosticAnalysisEnum){
+	
+		if (sub_analysis_type==HorizAnalysisEnum){
 		
 			CreatePVectorDiagnosticHoriz( pg,inputs,analysis_type,sub_analysis_type);
 
 		}
-		else if (sub_analysis_type==StokesAnalysisEnum()){
+		else if (sub_analysis_type==StokesAnalysisEnum){
 			
 			CreatePVectorDiagnosticStokes( pg,inputs,analysis_type,sub_analysis_type);
@@ -380,5 +380,5 @@
 
 	//check that the element is onbed (collapsed formulation) otherwise:pe=0
-	if(element_type==PentaEnum()){
+	if(element_type==PentaEnum){
 		if  (!element->GetOnBed()){
 			return;
@@ -389,6 +389,6 @@
 		
 	/*Identify which grids are comprised in the segment. */
-	if(element_type==TriaEnum())element_nodes=(Node**)xmalloc(3*sizeof(Node*));
-	if(element_type==PentaEnum())element_nodes=(Node**)xmalloc(6*sizeof(Node*));
+	if(element_type==TriaEnum)element_nodes=(Node**)xmalloc(3*sizeof(Node*));
+	if(element_type==PentaEnum)element_nodes=(Node**)xmalloc(6*sizeof(Node*));
 	element->GetNodes((void**)element_nodes);
 
@@ -496,5 +496,5 @@
 
 	/*check icefront is associated to a pentaelem: */
-	if(element_type!=PentaEnum()){
+	if(element_type!=PentaEnum){
 		ISSMERROR(" quad icefront is associated to a TriaElem!");
 	}
@@ -510,5 +510,5 @@
 	
 	//Identify which grids are comprised in the quad: 
-	if(element_type==PentaEnum())element_nodes=(Node**)xmalloc(6*sizeof(Node*));
+	if(element_type==PentaEnum)element_nodes=(Node**)xmalloc(6*sizeof(Node*));
 	element->GetNodes((void**)element_nodes);
 
@@ -653,5 +653,5 @@
 
 	/*check icefront is associated to a pentaelem: */
-	if(element_type!=PentaEnum()){
+	if(element_type!=PentaEnum){
 		ISSMERROR(" quad icefront is associated to a TriaElem!");
 	}
@@ -667,5 +667,5 @@
 	
 	//Identify which grids are comprised in the quad: 
-	if(element_type==PentaEnum())element_nodes=(Node**)xmalloc(6*sizeof(Node*));
+	if(element_type==PentaEnum)element_nodes=(Node**)xmalloc(6*sizeof(Node*));
 	element->GetNodes((void**)element_nodes);
 
@@ -855,5 +855,5 @@
 int Icefront::Enum(void){
 
-	return IcefrontEnum();
+	return IcefrontEnum;
 
 }
@@ -1128,9 +1128,9 @@
 
 			//Now deal with water pressure: 
-			if(fill==WaterEnum()){ //icefront ends in water
+			if(fill==WaterEnum){ //icefront ends in water
 				water_level_above_g_tria=min(0,z_g[i]);//0 if the gaussian point is above water level
 				water_pressure_tria=rho_water*gravity*water_level_above_g_tria;
 			}
-			else if(fill==AirEnum()){
+			else if(fill==AirEnum){
 				water_pressure_tria=0;
 			}
@@ -1382,9 +1382,9 @@
 
 			//Now deal with water pressure: 
-			if(fill==WaterEnum()){ //icefront ends in water
+			if(fill==WaterEnum){ //icefront ends in water
 				water_level_above_g_tria=min(0,z_g[i]);//0 if the gaussian point is above water level
 				water_pressure_tria=rho_water*gravity*water_level_above_g_tria;
 			}
-			else if(fill==AirEnum()){
+			else if(fill==AirEnum){
 				water_pressure_tria=0;
 			}
@@ -1463,5 +1463,5 @@
 		bed=b1*(1+segment_gauss_coord[ig])/2+b2*(1-segment_gauss_coord[ig])/2;
 
-		if (fill==WaterEnum()){
+		if (fill==WaterEnum){
 			//icefront ends in water: 
 			ice_pressure=1.0/2.0*gravity*rho_ice*pow(thickness,2);
@@ -1473,5 +1473,5 @@
 			water_pressure=1.0/2.0*gravity*rho_water*(pow(surface_under_water,2) - pow(base_under_water,2));
 		}
-		else if (fill==AirEnum()){
+		else if (fill==AirEnum){
 			ice_pressure=1.0/2.0*gravity*rho_ice*pow(thickness,2);
 			air_pressure=0;
Index: issm/trunk/src/c/objects/Input.cpp
===================================================================
--- issm/trunk/src/c/objects/Input.cpp	(revision 3566)
+++ issm/trunk/src/c/objects/Input.cpp	(revision 3567)
@@ -153,5 +153,5 @@
 int Input::Enum(void){
 
-	return InputEnum();
+	return InputEnum;
 
 }
Index: issm/trunk/src/c/objects/Load.cpp
===================================================================
--- issm/trunk/src/c/objects/Load.cpp	(revision 3566)
+++ issm/trunk/src/c/objects/Load.cpp	(revision 3567)
@@ -10,5 +10,5 @@
 int Load::Enum(void){
 
-	return LoadEnum();
+	return LoadEnum;
 }
 		
Index: issm/trunk/src/c/objects/Material.cpp
===================================================================
--- issm/trunk/src/c/objects/Material.cpp	(revision 3566)
+++ issm/trunk/src/c/objects/Material.cpp	(revision 3567)
@@ -10,5 +10,5 @@
 int Material::Enum(void){
 
-	return MaterialEnum();
+	return MaterialEnum;
 }
 		
Index: issm/trunk/src/c/objects/Matice.cpp
===================================================================
--- issm/trunk/src/c/objects/Matice.cpp	(revision 3566)
+++ issm/trunk/src/c/objects/Matice.cpp	(revision 3567)
@@ -102,5 +102,5 @@
 
 	/*get enum type of Matice: */
-	enum_type=MaticeEnum();
+	enum_type=MaticeEnum;
 	
 	/*marshall enum: */
@@ -175,5 +175,5 @@
 int Matice::Enum(void){
 
-	return MaticeEnum();
+	return MaticeEnum;
 
 }
Index: issm/trunk/src/c/objects/Matpar.cpp
===================================================================
--- issm/trunk/src/c/objects/Matpar.cpp	(revision 3566)
+++ issm/trunk/src/c/objects/Matpar.cpp	(revision 3567)
@@ -46,5 +46,5 @@
 	double  matpar_g;
 
-	if (iomodel->analysis_type==DiagnosticAnalysisEnum() && iomodel->sub_analysis_type==HutterAnalysisEnum()){
+	if (iomodel->analysis_type==DiagnosticAnalysisEnum && iomodel->sub_analysis_type==HutterAnalysisEnum){
 		if (strcmp(iomodel->meshtype,"2d")==0){
 			matpar_mid=iomodel->numberofvertices+1; //put it at the end of the materials
@@ -133,5 +133,5 @@
 
 	/*get enum type of Matpar: */
-	enum_type=MatparEnum();
+	enum_type=MatparEnum;
 	
 	/*marshall enum: */
@@ -221,5 +221,5 @@
 int Matpar::Enum(void){
 
-	return MatparEnum();
+	return MatparEnum;
 
 }
Index: issm/trunk/src/c/objects/Model.cpp
===================================================================
--- issm/trunk/src/c/objects/Model.cpp	(revision 3566)
+++ issm/trunk/src/c/objects/Model.cpp	(revision 3567)
@@ -143,5 +143,5 @@
 	}
 	/*sub_analysis_type should default to none, as it was not specified: */
-	sub_analysis_type=NoneAnalysisEnum();
+	sub_analysis_type=NoneAnalysisEnum;
 	
 	if (sub_analysis_type!=0){
Index: issm/trunk/src/c/objects/Node.cpp
===================================================================
--- issm/trunk/src/c/objects/Node.cpp	(revision 3566)
+++ issm/trunk/src/c/objects/Node.cpp	(revision 3567)
@@ -95,5 +95,5 @@
 
 	/*Diagnostic Horiz*/
-	if (iomodel->analysis_type==DiagnosticAnalysisEnum() && iomodel->sub_analysis_type==HorizAnalysisEnum()){
+	if (iomodel->analysis_type==DiagnosticAnalysisEnum && iomodel->sub_analysis_type==HorizAnalysisEnum){
 		if (strcmp(iomodel->meshtype,"3d")==0){
 			/*We have a  3d mesh, we may have collapsed elements, hence dead grids. Freeze them out: */
@@ -115,5 +115,5 @@
 
 	/*Diagnostic Stokes*/
-	if (iomodel->analysis_type==DiagnosticAnalysisEnum() && iomodel->sub_analysis_type==StokesAnalysisEnum()){
+	if (iomodel->analysis_type==DiagnosticAnalysisEnum && iomodel->sub_analysis_type==StokesAnalysisEnum){
 		/*On a 3d mesh, in stokes formualtions, only stokes grids are free, the others are frozen: */
 		if (!iomodel->borderstokes) ISSMERROR("iomodel->borderstokes is NULL");
@@ -132,5 +132,5 @@
 
 	/*Diagnostic Hutter*/
-	if (iomodel->analysis_type==DiagnosticAnalysisEnum() && iomodel->sub_analysis_type==HutterAnalysisEnum()){
+	if (iomodel->analysis_type==DiagnosticAnalysisEnum && iomodel->sub_analysis_type==HutterAnalysisEnum){
 		/*Spc all nodes that are not Hutter*/
 		if (!iomodel->gridonhutter) ISSMERROR("iomodel->gridonhutter is NULL");
@@ -144,9 +144,9 @@
 	/*Prognostic/ Melting/ Slopecompute/ Balancedvelocities/ Balancedthickness*/
 	if (
-				iomodel->analysis_type==PrognosticAnalysisEnum() || 
-				iomodel->analysis_type==MeltingAnalysisEnum() || 
-				iomodel->analysis_type==SlopecomputeAnalysisEnum() || 
-				iomodel->analysis_type==BalancedvelocitiesAnalysisEnum() || 
-				iomodel->analysis_type==BalancedthicknessAnalysisEnum()
+				iomodel->analysis_type==PrognosticAnalysisEnum || 
+				iomodel->analysis_type==MeltingAnalysisEnum || 
+				iomodel->analysis_type==SlopecomputeAnalysisEnum || 
+				iomodel->analysis_type==BalancedvelocitiesAnalysisEnum || 
+				iomodel->analysis_type==BalancedthicknessAnalysisEnum
 				){
 		if (strcmp(iomodel->meshtype,"3d")==0){
@@ -295,5 +295,5 @@
 int Node::Enum(void){
 
-	return NodeEnum();
+	return NodeEnum;
 
 }
@@ -354,5 +354,5 @@
 
 	/*get enum type of Node: */
-	enum_type=NodeEnum();
+	enum_type=NodeEnum;
 	
 	/*marshall enum: */
Index: issm/trunk/src/c/objects/NodeProperties.cpp
===================================================================
--- issm/trunk/src/c/objects/NodeProperties.cpp	(revision 3566)
+++ issm/trunk/src/c/objects/NodeProperties.cpp	(revision 3567)
@@ -80,5 +80,5 @@
 
 	/*get enum type of NodeProperties: */
-	enum_type=NodePropertiesEnum();
+	enum_type=NodePropertiesEnum;
 	
 	/*marshall enum: */
Index: issm/trunk/src/c/objects/Numericalflux.cpp
===================================================================
--- issm/trunk/src/c/objects/Numericalflux.cpp	(revision 3566)
+++ issm/trunk/src/c/objects/Numericalflux.cpp	(revision 3567)
@@ -96,5 +96,5 @@
 
 	/*get enum type of Numericalflux: */
-	enum_type=NumericalfluxEnum();
+	enum_type=NumericalfluxEnum;
 	
 	/*marshall enum: */
@@ -571,5 +571,5 @@
 int Numericalflux::Enum(void){
 
-	return NumericalfluxEnum();
+	return NumericalfluxEnum;
 
 }
Index: issm/trunk/src/c/objects/Numpar.cpp
===================================================================
--- issm/trunk/src/c/objects/Numpar.cpp	(revision 3566)
+++ issm/trunk/src/c/objects/Numpar.cpp	(revision 3567)
@@ -60,5 +60,5 @@
 
 	/*get enum type of Numpar: */
-	enum_type=NumparEnum();
+	enum_type=NumparEnum;
 	
 	/*marshall enum: */
@@ -204,5 +204,5 @@
 int Numpar::Enum(void){
 
-	return NumparEnum();
+	return NumparEnum;
 
 }
Index: issm/trunk/src/c/objects/Param.cpp
===================================================================
--- issm/trunk/src/c/objects/Param.cpp	(revision 3566)
+++ issm/trunk/src/c/objects/Param.cpp	(revision 3567)
@@ -233,5 +233,5 @@
 
 	/*get enum type of Param: */
-	enum_type=ParamEnum();
+	enum_type=ParamEnum;
 	
 	/*marshall enum: */
@@ -437,5 +437,5 @@
 int Param::Enum(void){
 
-	return ParamEnum();
+	return ParamEnum;
 }
 /*}}}*/
Index: issm/trunk/src/c/objects/Pengrid.cpp
===================================================================
--- issm/trunk/src/c/objects/Pengrid.cpp	(revision 3566)
+++ issm/trunk/src/c/objects/Pengrid.cpp	(revision 3567)
@@ -64,5 +64,5 @@
 
 	/*get enum type of Pengrid: */
-	enum_type=PengridEnum();
+	enum_type=PengridEnum;
 	
 	/*marshall enum: */
@@ -219,5 +219,5 @@
 int Pengrid::Enum(void){
 
-	return PengridEnum();
+	return PengridEnum;
 }
 /*}}}1*/
@@ -255,5 +255,5 @@
 void  Pengrid::PenaltyConstrain(int* punstable,void* vinputs,int analysis_type,int sub_analysis_type){
 
-	if ((analysis_type==DiagnosticAnalysisEnum()) && ((sub_analysis_type==StokesAnalysisEnum()))){
+	if ((analysis_type==DiagnosticAnalysisEnum) && ((sub_analysis_type==StokesAnalysisEnum))){
 
 		/*No penalty to check*/
@@ -261,10 +261,10 @@
 
 	}
-	else if (analysis_type==ThermalAnalysisEnum()){
+	else if (analysis_type==ThermalAnalysisEnum){
 		
 		PenaltyConstrainThermal(punstable,vinputs,analysis_type,sub_analysis_type);
 		
 	}
-	else if (analysis_type==MeltingAnalysisEnum()){
+	else if (analysis_type==MeltingAnalysisEnum){
 			
 		/*No penalty to check*/
@@ -362,14 +362,14 @@
 void  Pengrid::PenaltyCreateKMatrix(Mat Kgg,void* inputs,double kmax,int analysis_type,int sub_analysis_type){
 
-	if ((analysis_type==DiagnosticAnalysisEnum()) && ((sub_analysis_type==StokesAnalysisEnum()))){
+	if ((analysis_type==DiagnosticAnalysisEnum) && ((sub_analysis_type==StokesAnalysisEnum))){
 
 		PenaltyCreateKMatrixDiagnosticStokes( Kgg,inputs,kmax,analysis_type,sub_analysis_type);
 	}
-	else if (analysis_type==ThermalAnalysisEnum()){
+	else if (analysis_type==ThermalAnalysisEnum){
 		
 		PenaltyCreateKMatrixThermal( Kgg,inputs,kmax,analysis_type,sub_analysis_type);
 		
 	}
-	else if (analysis_type==MeltingAnalysisEnum()){
+	else if (analysis_type==MeltingAnalysisEnum){
 			
 		PenaltyCreateKMatrixMelting( Kgg,inputs,kmax,analysis_type,sub_analysis_type);
@@ -500,15 +500,15 @@
 void  Pengrid::PenaltyCreatePVector(Vec pg,void* inputs,double kmax,int analysis_type,int sub_analysis_type){
 
-	if (analysis_type==ThermalAnalysisEnum()){
+	if (analysis_type==ThermalAnalysisEnum){
 		
 		PenaltyCreatePVectorThermal( pg,inputs,kmax,analysis_type,sub_analysis_type);
 		
 	}
-	else if (analysis_type==MeltingAnalysisEnum()){
+	else if (analysis_type==MeltingAnalysisEnum){
 			
 		PenaltyCreatePVectorMelting( pg,inputs,kmax,analysis_type,sub_analysis_type);
 
 	}
-	else if (analysis_type==DiagnosticAnalysisEnum()){
+	else if (analysis_type==DiagnosticAnalysisEnum){
 
 		/*No loads applied, do nothing: */
Index: issm/trunk/src/c/objects/Penpair.cpp
===================================================================
--- issm/trunk/src/c/objects/Penpair.cpp	(revision 3566)
+++ issm/trunk/src/c/objects/Penpair.cpp	(revision 3567)
@@ -61,5 +61,5 @@
 
 	/*get enum type of Penpair: */
-	enum_type=PenpairEnum();
+	enum_type=PenpairEnum;
 	
 	/*marshall enum: */
@@ -198,5 +198,5 @@
 int Penpair::Enum(void){
 
-	return PenpairEnum();
+	return PenpairEnum;
 }
 /*}}}1*/
Index: issm/trunk/src/c/objects/Penta.cpp
===================================================================
--- issm/trunk/src/c/objects/Penta.cpp	(revision 3566)
+++ issm/trunk/src/c/objects/Penta.cpp	(revision 3567)
@@ -81,5 +81,5 @@
 	//elements of type 3 are macayeal type penta. we collapse the formulation on their base.
 	if(iomodel->elements_type){
-		if (*(iomodel->elements_type+2*i+0)==MacAyealFormulationEnum()){ 
+		if (*(iomodel->elements_type+2*i+0)==MacAyealFormulationEnum){ 
 			this->properties.collapse=1;
 		}
@@ -196,5 +196,5 @@
 
 	/*get enum type of Penta: */
-	enum_type=PentaEnum();
+	enum_type=PentaEnum;
 
 	/*marshall enum: */
@@ -387,5 +387,5 @@
 
 	/*Check analysis_types*/
-	if (analysis_type!=DiagnosticAnalysisEnum() || sub_analysis_type!=StokesAnalysisEnum()) ISSMERROR("Not supported yet!");
+	if (analysis_type!=DiagnosticAnalysisEnum || sub_analysis_type!=StokesAnalysisEnum) ISSMERROR("Not supported yet!");
 
 	/*recover pointers: */
@@ -555,20 +555,20 @@
 
 	/*Just branch to the correct element stiffness matrix generator, according to the type of analysis we are carrying out: */
-	if (analysis_type==ControlAnalysisEnum()){
+	if (analysis_type==ControlAnalysisEnum){
 
 		CreateKMatrixDiagnosticHoriz( Kgg,inputs,analysis_type,sub_analysis_type);
 
 	}
-	else if (analysis_type==DiagnosticAnalysisEnum()){
-
-		if (sub_analysis_type==HorizAnalysisEnum()){
+	else if (analysis_type==DiagnosticAnalysisEnum){
+
+		if (sub_analysis_type==HorizAnalysisEnum){
 
 			CreateKMatrixDiagnosticHoriz( Kgg,inputs,analysis_type,sub_analysis_type);
 		}
-		else if (sub_analysis_type==VertAnalysisEnum()){
+		else if (sub_analysis_type==VertAnalysisEnum){
 
 			CreateKMatrixDiagnosticVert( Kgg,inputs,analysis_type,sub_analysis_type);
 		}
-		else if (sub_analysis_type==StokesAnalysisEnum()){
+		else if (sub_analysis_type==StokesAnalysisEnum){
 
 			CreateKMatrixDiagnosticStokes( Kgg,inputs,analysis_type,sub_analysis_type);
@@ -577,25 +577,25 @@
 		else ISSMERROR(exprintf("%s%i%s\n","sub_analysis: ",sub_analysis_type," not supported yet"));
 	}
-	else if (analysis_type==SlopecomputeAnalysisEnum()){
+	else if (analysis_type==SlopecomputeAnalysisEnum){
 
 		CreateKMatrixSlopeCompute( Kgg,inputs,analysis_type,sub_analysis_type);
 	}
-	else if (analysis_type==PrognosticAnalysisEnum()){
+	else if (analysis_type==PrognosticAnalysisEnum){
 
 		CreateKMatrixPrognostic( Kgg,inputs,analysis_type,sub_analysis_type);
 	}
-	else if (analysis_type==BalancedthicknessAnalysisEnum()){
+	else if (analysis_type==BalancedthicknessAnalysisEnum){
 
 		CreateKMatrixBalancedthickness( Kgg,inputs,analysis_type,sub_analysis_type);
 	}
-	else if (analysis_type==BalancedvelocitiesAnalysisEnum()){
+	else if (analysis_type==BalancedvelocitiesAnalysisEnum){
 
 		CreateKMatrixBalancedvelocities( Kgg,inputs,analysis_type,sub_analysis_type);
 	}
-	else if (analysis_type==ThermalAnalysisEnum()){
+	else if (analysis_type==ThermalAnalysisEnum){
 
 		CreateKMatrixThermal( Kgg,inputs,analysis_type,sub_analysis_type);
 	}
-	else if (analysis_type==MeltingAnalysisEnum()){
+	else if (analysis_type==MeltingAnalysisEnum){
 
 		CreateKMatrixMelting( Kgg,inputs,analysis_type,sub_analysis_type);
@@ -1683,19 +1683,19 @@
 
 	/*Just branch to the correct element stiffness matrix generator, according to the type of analysis we are carrying out: */
-	if (analysis_type==ControlAnalysisEnum()){
+	if (analysis_type==ControlAnalysisEnum){
 
 		CreatePVectorDiagnosticHoriz( pg,inputs,analysis_type,sub_analysis_type);
 	}
-	else if (analysis_type==DiagnosticAnalysisEnum()){
-
-		if (sub_analysis_type==HorizAnalysisEnum()){
+	else if (analysis_type==DiagnosticAnalysisEnum){
+
+		if (sub_analysis_type==HorizAnalysisEnum){
 
 			CreatePVectorDiagnosticHoriz( pg,inputs,analysis_type,sub_analysis_type);
 		}
-		else if (sub_analysis_type==VertAnalysisEnum()){
+		else if (sub_analysis_type==VertAnalysisEnum){
 
 			CreatePVectorDiagnosticVert( pg,inputs,analysis_type,sub_analysis_type);
 		}
-		else if (sub_analysis_type==StokesAnalysisEnum()){
+		else if (sub_analysis_type==StokesAnalysisEnum){
 
 			CreatePVectorDiagnosticStokes( pg,inputs,analysis_type,sub_analysis_type);
@@ -1703,25 +1703,25 @@
 		else ISSMERROR(exprintf("%s%i%s\n","sub_analysis: ",sub_analysis_type," not supported yet"));
 	}
-	else if (analysis_type==SlopecomputeAnalysisEnum()){
+	else if (analysis_type==SlopecomputeAnalysisEnum){
 
 		CreatePVectorSlopeCompute( pg,inputs,analysis_type,sub_analysis_type);
 	}
-	else if (analysis_type==PrognosticAnalysisEnum()){
+	else if (analysis_type==PrognosticAnalysisEnum){
 
 		CreatePVectorPrognostic( pg,inputs,analysis_type,sub_analysis_type);
 	}
-	else if (analysis_type==BalancedthicknessAnalysisEnum()){
+	else if (analysis_type==BalancedthicknessAnalysisEnum){
 
 		CreatePVectorBalancedthickness( pg,inputs,analysis_type,sub_analysis_type);
 	}
-	else if (analysis_type==BalancedvelocitiesAnalysisEnum()){
+	else if (analysis_type==BalancedvelocitiesAnalysisEnum){
 
 		CreatePVectorBalancedvelocities( pg,inputs,analysis_type,sub_analysis_type);
 	}
-	else if (analysis_type==ThermalAnalysisEnum()){
+	else if (analysis_type==ThermalAnalysisEnum){
 
 		CreatePVectorThermal( pg,inputs,analysis_type,sub_analysis_type);
 	}
-	else if (analysis_type==MeltingAnalysisEnum()){
+	else if (analysis_type==MeltingAnalysisEnum){
 
 		CreatePVectorMelting( pg,inputs,analysis_type,sub_analysis_type);
@@ -2620,5 +2620,5 @@
 int Penta::Enum(void){
 
-	return PentaEnum();
+	return PentaEnum;
 
 }
@@ -4059,5 +4059,5 @@
 	if (!this->properties.onbed) return;
 
-	if (sub_analysis_type==HorizAnalysisEnum()){
+	if (sub_analysis_type==HorizAnalysisEnum){
 
 		/*MacAyeal or Pattyn*/
@@ -4067,5 +4067,5 @@
 		return;
 	}
-	else if (sub_analysis_type==StokesAnalysisEnum()){
+	else if (sub_analysis_type==StokesAnalysisEnum){
 
 		/*Stokes*/
Index: issm/trunk/src/c/objects/Result.cpp
===================================================================
--- issm/trunk/src/c/objects/Result.cpp	(revision 3566)
+++ issm/trunk/src/c/objects/Result.cpp	(revision 3567)
@@ -202,5 +202,5 @@
 int Result::Enum(void){
 
-	return ResultEnum();
+	return ResultEnum;
 
 }
Index: issm/trunk/src/c/objects/Rgb.cpp
===================================================================
--- issm/trunk/src/c/objects/Rgb.cpp	(revision 3566)
+++ issm/trunk/src/c/objects/Rgb.cpp	(revision 3567)
@@ -52,5 +52,5 @@
 
 	/*get enum type of Rgb: */
-	enum_type=RgbEnum();
+	enum_type=RgbEnum;
 	
 	/*marshall enum: */
@@ -130,5 +130,5 @@
 int Rgb::Enum(void){
 
-	return RgbEnum();
+	return RgbEnum;
 
 }
Index: issm/trunk/src/c/objects/Riftfront.cpp
===================================================================
--- issm/trunk/src/c/objects/Riftfront.cpp	(revision 3566)
+++ issm/trunk/src/c/objects/Riftfront.cpp	(revision 3567)
@@ -182,5 +182,5 @@
 
 	/*get enum type of Riftfront: */
-	enum_type=RiftfrontEnum();
+	enum_type=RiftfrontEnum;
 	
 	/*marshall enum: */
@@ -453,5 +453,5 @@
 int Riftfront::Enum(void){
 
-	return RiftfrontEnum();
+	return RiftfrontEnum;
 
 }
@@ -729,5 +729,5 @@
 
 		/*Ok, now compute the pressure (in norm) that is being applied to the flanks, depending on the type of fill: */
-		if(fill==WaterEnum()){
+		if(fill==WaterEnum){
 			if(shelf){
 				/*We are on an ice shelf, hydrostatic equilibrium is used to determine the pressure for water fill: */
@@ -739,11 +739,11 @@
 			}
 		}
-		else if(fill==AirEnum()){
+		else if(fill==AirEnum){
 			pressure=rho_ice*gravity*pow(thickness,(double)2)/(double)2;   //icefront on an ice sheet, pressure imbalance ice vs air.
 		}
-		else if(fill==IceEnum()){ //icefront finding itself against another icefront (pressure imbalance is fully compensated, ice vs ice)
+		else if(fill==IceEnum){ //icefront finding itself against another icefront (pressure imbalance is fully compensated, ice vs ice)
 			pressure=0;
 		}
-		else if(fill==MelangeEnum()){ //icefront finding itself against another icefront (pressure imbalance is fully compensated, ice vs ice)
+		else if(fill==MelangeEnum){ //icefront finding itself against another icefront (pressure imbalance is fully compensated, ice vs ice)
 			
 			if(!shelf) ISSMERROR(exprintf("%s%i%s","fill type ",fill," not supported on ice sheets yet."));
Index: issm/trunk/src/c/objects/Sing.cpp
===================================================================
--- issm/trunk/src/c/objects/Sing.cpp	(revision 3566)
+++ issm/trunk/src/c/objects/Sing.cpp	(revision 3567)
@@ -193,5 +193,5 @@
 
 	/*get enum type of Sing: */
-	enum_type=SingEnum();
+	enum_type=SingEnum;
 	
 	/*marshall enum: */
@@ -348,5 +348,5 @@
 
 	/*Just branch to the correct element stiffness matrix generator, according to the type of analysis we are carrying out: */
-	if ((analysis_type==DiagnosticAnalysisEnum()) && (sub_analysis_type==HutterAnalysisEnum())){
+	if ((analysis_type==DiagnosticAnalysisEnum) && (sub_analysis_type==HutterAnalysisEnum)){
 
 		CreateKMatrixDiagnosticHutter( Kgg,inputs,analysis_type,sub_analysis_type);
@@ -385,5 +385,5 @@
 	
 	/*Just branch to the correct load generator, according to the type of analysis we are carrying out: */
-	if ((analysis_type==DiagnosticAnalysisEnum()) && (sub_analysis_type==HutterAnalysisEnum())){
+	if ((analysis_type==DiagnosticAnalysisEnum) && (sub_analysis_type==HutterAnalysisEnum)){
 	
 			CreatePVectorDiagnosticHutter( pg,inputs,analysis_type,sub_analysis_type);
@@ -472,5 +472,5 @@
 int Sing::Enum(void){
 
-	return SingEnum();
+	return SingEnum;
 
 }
Index: issm/trunk/src/c/objects/Spc.cpp
===================================================================
--- issm/trunk/src/c/objects/Spc.cpp	(revision 3566)
+++ issm/trunk/src/c/objects/Spc.cpp	(revision 3567)
@@ -53,5 +53,5 @@
 
 	/*get enum type of Spc: */
-	enum_type=SpcEnum();
+	enum_type=SpcEnum;
 	
 	/*marshall enum: */
@@ -130,5 +130,5 @@
 int Spc::Enum(void){
 
-	return SpcEnum();
+	return SpcEnum;
 
 }
Index: issm/trunk/src/c/objects/Tria.cpp
===================================================================
--- issm/trunk/src/c/objects/Tria.cpp	(revision 3566)
+++ issm/trunk/src/c/objects/Tria.cpp	(revision 3567)
@@ -77,5 +77,5 @@
 	/*hooks: */
 	//go recover node ids, needed to initialize the node hook.
-	if (iomodel->analysis_type==Prognostic2AnalysisEnum()){
+	if (iomodel->analysis_type==Prognostic2AnalysisEnum){
 		/*Discontinuous Galerkin*/
 		tria_node_ids[0]=3*i+1;
@@ -209,5 +209,5 @@
 
 	/*get enum type of Tria: */
-	enum_type=TriaEnum();
+	enum_type=TriaEnum;
 
 	/*marshall enum: */
@@ -569,11 +569,11 @@
 
 	/*Just branch to the correct element stiffness matrix generator, according to the type of analysis we are carrying out: */
-	if (analysis_type==ControlAnalysisEnum()){
+	if (analysis_type==ControlAnalysisEnum){
 		
 		CreateKMatrixDiagnosticHoriz( Kgg,inputs,analysis_type,sub_analysis_type);
 	}
-	else if (analysis_type==DiagnosticAnalysisEnum()){
+	else if (analysis_type==DiagnosticAnalysisEnum){
 	
-		if (sub_analysis_type==HorizAnalysisEnum()){
+		if (sub_analysis_type==HorizAnalysisEnum){
 
 			CreateKMatrixDiagnosticHoriz( Kgg,inputs,analysis_type,sub_analysis_type);
@@ -582,21 +582,21 @@
 
 	}
-	else if (analysis_type==SlopecomputeAnalysisEnum()){
+	else if (analysis_type==SlopecomputeAnalysisEnum){
 
 		CreateKMatrixSlopeCompute( Kgg,inputs,analysis_type,sub_analysis_type);
 	}
-	else if (analysis_type==PrognosticAnalysisEnum()){
+	else if (analysis_type==PrognosticAnalysisEnum){
 
 		CreateKMatrixPrognostic( Kgg,inputs,analysis_type,sub_analysis_type);
 	}
-	else if (analysis_type==Prognostic2AnalysisEnum()){
+	else if (analysis_type==Prognostic2AnalysisEnum){
 
 		CreateKMatrixPrognostic2(Kgg,inputs,analysis_type,sub_analysis_type);
 	}
-	else if (analysis_type==BalancedthicknessAnalysisEnum()){
+	else if (analysis_type==BalancedthicknessAnalysisEnum){
 
 		CreateKMatrixBalancedthickness( Kgg,inputs,analysis_type,sub_analysis_type);
 	}
-	else if (analysis_type==BalancedvelocitiesAnalysisEnum()){
+	else if (analysis_type==BalancedvelocitiesAnalysisEnum){
 
 		CreateKMatrixBalancedvelocities( Kgg,inputs,analysis_type,sub_analysis_type);
@@ -2177,11 +2177,11 @@
 	
 	/*Just branch to the correct load generator, according to the type of analysis we are carrying out: */
-	if (analysis_type==ControlAnalysisEnum()){
+	if (analysis_type==ControlAnalysisEnum){
 		
 		CreatePVectorDiagnosticHoriz( pg,inputs,analysis_type,sub_analysis_type);
 	
 	}
-	else if (analysis_type==DiagnosticAnalysisEnum()){
-		if (sub_analysis_type==HorizAnalysisEnum()){
+	else if (analysis_type==DiagnosticAnalysisEnum){
+		if (sub_analysis_type==HorizAnalysisEnum){
 		
 			CreatePVectorDiagnosticHoriz( pg,inputs,analysis_type,sub_analysis_type);
@@ -2189,21 +2189,21 @@
 		else ISSMERROR(exprintf("%s%i%s\n","sub_analysis: ",sub_analysis_type," not supported yet"));
 	}
-	else if (analysis_type==SlopecomputeAnalysisEnum()){
+	else if (analysis_type==SlopecomputeAnalysisEnum){
 		
 		CreatePVectorSlopeCompute( pg,inputs,analysis_type,sub_analysis_type);
 	}
-	else if (analysis_type==PrognosticAnalysisEnum()){
+	else if (analysis_type==PrognosticAnalysisEnum){
 
 		CreatePVectorPrognostic( pg,inputs,analysis_type,sub_analysis_type);
 	}
-	else if (analysis_type==Prognostic2AnalysisEnum()){
+	else if (analysis_type==Prognostic2AnalysisEnum){
 
 		CreatePVectorPrognostic2( pg,inputs,analysis_type,sub_analysis_type);
 	}
-	else if (analysis_type==BalancedthicknessAnalysisEnum()){
+	else if (analysis_type==BalancedthicknessAnalysisEnum){
 
 		CreatePVectorBalancedthickness( pg,inputs,analysis_type,sub_analysis_type);
 	}
-	else if (analysis_type==BalancedvelocitiesAnalysisEnum()){
+	else if (analysis_type==BalancedvelocitiesAnalysisEnum){
 
 		CreatePVectorBalancedvelocities( pg,inputs,analysis_type,sub_analysis_type);
@@ -3004,8 +3004,8 @@
 	for(i=0;i<numdof;i++) pe_g[i]=0.0;
 
-	if ( (sub_analysis_type==SurfaceXAnalysisEnum()) || (sub_analysis_type==SurfaceYAnalysisEnum())){
+	if ( (sub_analysis_type==SurfaceXAnalysisEnum) || (sub_analysis_type==SurfaceYAnalysisEnum)){
 		for(i=0;i<numdof;i++) param[i]=this->properties.s[i];
 	}
-	if ( (sub_analysis_type==BedXAnalysisEnum()) || (sub_analysis_type==BedYAnalysisEnum())){
+	if ( (sub_analysis_type==BedXAnalysisEnum) || (sub_analysis_type==BedYAnalysisEnum)){
 		for(i=0;i<numdof;i++) param[i]=this->properties.b[i];
 	}
@@ -3032,8 +3032,8 @@
 
 		/*Build pe_g_gaussian vector: */
-		if ( (sub_analysis_type==SurfaceXAnalysisEnum()) || (sub_analysis_type==BedXAnalysisEnum())){
+		if ( (sub_analysis_type==SurfaceXAnalysisEnum) || (sub_analysis_type==BedXAnalysisEnum)){
 			for(i=0;i<numdof;i++) pe_g_gaussian[i]=Jdet*gauss_weight*slope[0]*l1l2l3[i];
 		}
-		if ( (sub_analysis_type==SurfaceYAnalysisEnum()) || (sub_analysis_type==BedYAnalysisEnum())){
+		if ( (sub_analysis_type==SurfaceYAnalysisEnum) || (sub_analysis_type==BedYAnalysisEnum)){
 			for(i=0;i<numdof;i++) pe_g_gaussian[i]=Jdet*gauss_weight*slope[1]*l1l2l3[i];
 		}
@@ -3613,5 +3613,5 @@
 int Tria::Enum(void){
 
-	return TriaEnum();
+	return TriaEnum;
 
 }
Index: issm/trunk/src/c/objects/Vertex.cpp
===================================================================
--- issm/trunk/src/c/objects/Vertex.cpp	(revision 3566)
+++ issm/trunk/src/c/objects/Vertex.cpp	(revision 3567)
@@ -116,5 +116,5 @@
 int Vertex::Enum(void){
 
-	return VertexEnum();
+	return VertexEnum;
 
 }
@@ -138,5 +138,5 @@
 
 	/*get enum type of Vertex: */
-	enum_type=VertexEnum();
+	enum_type=VertexEnum;
 
 	/*marshall enum: */
